This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 230951 - anaconda gets "Deprecation Warnings".
anaconda gets "Deprecation Warnings".
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-04 19:07 EST by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-05 15:51:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2007-03-04 19:07:01 EST
Description of problem:

Every time a progress bar shows up on a screen the following is
logged:

22:13:40 WARNING : /usr/lib64/python2.5/site-packages/snack.py:247:
DeprecationWarning: integer argument expected, got float
  self.w.scaleSet(amount)

Version-Release number of selected component (if applicable):
anaconda-11.2.0.28-1

How reproducible:
always
Comment 1 David Cantrell 2007-03-05 10:39:32 EST
snack.py is part of newt, reassigning.
Comment 2 Miroslav Lichvar 2007-03-05 12:03:46 EST
Scale accepts only integer values. The float values should be rounded in
anaconda, reassigning back. 
Comment 3 Jeremy Katz 2007-03-05 15:51:01 EST
Fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.